Bug 210248 - sysutils/linux-crashplan: Update to 4.7.0
Summary: sysutils/linux-crashplan: Update to 4.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks: 209950
  Show dependency treegraph
 
Reported: 2016-06-13 06:38 UTC by ludwigp-fbsdbugz
Modified: 2016-08-23 15:06 UTC (History)
4 users (show)

See Also:
subtil: maintainer-feedback+


Attachments
Fix and update sysutils/linux-crashplan to 4.7.0 (4.67 KB, patch)
2016-06-16 09:12 UTC, Samuel Grossman
subtil: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ludwigp-fbsdbugz 2016-06-13 06:38:22 UTC
I don't have enough experience/confidence with the ports system to supply a patch, but I did hack the existing 4.5.0 port enough to get things working for me

* Makefile, distinfo and plist needed updating for the 4.7.0 tarball and the files in it
* /usr/local/share/crashplan/bin/CrashPlanEngine needed hacking. it expects $JAVACOMMON to be the JRE path
Comment 1 ludwigp-fbsdbugz 2016-06-13 06:42:26 UTC
I don't know if it needs to be noted anywhere, but CrashPlan 4.7.0 is incompatible with any prior version of CrashPlan for computer-to-computer backups. If anyone has been backing up to a FreeBSD CrashPlan, it would have stopped working around May 16 since the port is still on 4.5.0

https://support.code42.com/CrashPlan/4/Troubleshooting/Computer-To-Computer_Backups_Stop_Working_Between_Version_4.7_And_Earlier_Versions
Comment 2 Samuel Grossman 2016-06-16 09:12:19 UTC
Created attachment 171477 [details]
Fix and update sysutils/linux-crashplan to 4.7.0

This patch updates CrashPlan to 4.7.0, fixes the JAVACOMMON variable issue (#209950), and fixes the log path (currently logs are dumped in / but the port creates and expects them in /var/log/crashplan).
Comment 3 Samuel Grossman 2016-06-19 00:53:35 UTC
I should point out that CrashPlan 4.7.0, at least when I tried it in a FreeNAS 9.10 jail, was having issues connecting to the login server - UnresolvedAddressException. Reverting to 4.5.0 but keeping all other installed dependencies the same causes the issue to disappear.
Comment 4 Samuel Grossman 2016-06-19 01:59:38 UTC
Nevermind, this was a local issue.
Comment 5 Nuno Subtil 2016-06-19 04:22:35 UTC
The patch looks good to me (thanks Samuel!). I'm unable to test this for at least the next 2 weeks, but I'm OK with submitting the patch as-is.
Comment 6 Samuel Grossman 2016-06-19 05:46:06 UTC
I think someone else besides me should test this first. I would hate to have this submitted if it is a real issue and then linux-crashplan starts breaking everywhere once people update. I thought it was a local issue but now I'm not so sure.

That DNS issue I was having before... with linux-oracle-jdk18 it randomly appears and very rarely manages to connect to the CrashPlan servers even to log in - UnresolvedAddressException. Version 4.5.0 on the same JVM version is fine.

With linux-sun-jre17 CrashPlan 4.7.0 is consistently fine connecting to CrashPlan servers. That version of the JVM, however, is deprecated.
Comment 7 Nuno Subtil 2016-06-19 15:32:05 UTC
Given that the port is already broken as it is, I'd say the risk of submitting this patch is pretty low. Anyone who has updated their port already has a non-functioning CrashPlan install.

That said, it may take a while for the patch to get submitted anyway. I'll try to test it when I can, but I'd rather not wait for that before merging the patch.
Comment 8 VK freebsd_triage 2016-06-19 16:20:09 UTC
Comment on attachment 171477 [details]
Fix and update sysutils/linux-crashplan to 4.7.0

Nuno, feel free to flag the patch with maintainer-approval(+) when you think it's ready to be committed.  (note: that's on the patch, different from maintainer-feedback(+) you gave)
Comment 9 Kurt Jaeger freebsd_committer 2016-07-03 14:15:06 UTC
Committed, thanks!

Please note: ChangeLogs would be helpful: What changed from the last version ?
Comment 10 commit-hook freebsd_committer 2016-07-03 14:15:20 UTC
A commit references this bug:

Author: pi
Date: Sun Jul  3 14:14:33 UTC 2016
New revision: 417971
URL: https://svnweb.freebsd.org/changeset/ports/417971

Log:
  sysutils/linux-crashplan: 4.5.0 -> 4.7.0

  PR:		210248
  Submitted by:	ludwigp-fbsdbugz@chip-web.com, Samuel Grossman <sam@samuelgrossman.ca>
  Approved by:	Nuno Subtil <subtil@gmail.com> (maintainer)

Changes:
  head/sysutils/linux-crashplan/Makefile
  head/sysutils/linux-crashplan/distinfo
  head/sysutils/linux-crashplan/pkg-plist